ProyectoCrm/src/app/Modulos/MonedaModulo/Paginas/fw-monedas/fw-monedas.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12 col-lg-6">
    <div class="card shadow">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h6 class="card-title">Lista de Monedas</h6>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="form-row">
          <div class="form-group col-4">
            <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
              <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
            </select>
          </div>
          <div class="form-group col-8">
            <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="table-responsive-lg" style="overflow:scroll">
              <table class="table table-sm table-striped table-hover">
                <thead>
                  <tr>
                    <th></th>
                    <th>
                      <h6 class="font-weight-bold">Moneda</h6>
                    </th>
                    <th>
                      <h6 class="font-weight-bold">Descripción</h6>
                    </th>
                    <th>
                      <h6 class="font-weight-bold"></h6>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let tMonedaFor of tMonedas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index">
                    <th class="text-nowrap">
                      <button class="btn btn-sm btn-danger mr-1" type="button" [disabled]="!tPermisoEliminar" (click)="Seleccionar_Clasificacion_Eliminar(tMonedaFor)"><i class="fas fa-trash-alt"></i></button>
                      <button class="btn btn-sm btn-warning ml-1" type="button" (click)="Seleccionar_Moneda(tMonedaFor, jv)"><i class="fas fa-edit text-white"></i></button>
                    </th>
                    <td>
                      <h6 class="text-xs">{{ tMonedaFor.Simbolo }}</h6>
                    </td>
                    <td>
                      <h6 class="text-xs">{{ tMonedaFor.Codmoneda }}</h6>
                    </td>
                    <td>
                      <h6 class="text-xs text-nowrap">{{ tMonedaFor.Descripcion }}</h6>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="form">
          <div class="col-12">
            <ngb-pagination class="d-flex justify-content-center" [boundaryLinks]="true" [maxSize]="3" [rotate]="true" [collectionSize]="tMonedas.length" [(page)]="tPagina" [pageSize]="tTamanoPag"></ngb-pagination>
          </div>
        </div>
      </div>
      <div class="card-footer text-right">
        <div class="row">
          <div class="col-2 text-right font-weight-bold">
            <label class="h6 form-label align-middle">Cantidad:</label>
          </div>
          <div class="col-2 text-right font-weight-bold">
            <label class="h6 form-label align-middle">{{ tMonedas.length }}</label>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-12 col-lg-6">
    <div class="card shadow">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h6 class="card-title">Detalles de la Moneda</h6>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-12">
            <app-fw-monedas-cabecera [(Moneda)]="tMonedaActual"></app-fw-monedas-cabecera>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="form-row">
              <div class="form-group col-12">
                <ul class="nav nav-tabs" role="tablist">
                  <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Denominaciones" role="tab" aria-controls="Denominaciones" aria-selected="true">Denominaciones</a></li>
                </ul>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <div class="tab-content" id="mvDatos">
                  <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Denominaciones-tab" id="Denominaciones">
                    <app-fw-monedas-detalles [(Denominaciones)]="tMonedaActual.LDenominaciones" [PermisoEliminar]="tPermisoEliminar" (Eliminar)="Eliminar_Denominacion($event)"></app-fw-monedas-detalles>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer">
        <div class="row">
          <div class="col-12 col-lg-4 offset-lg-4">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="col-12 col-lg-4">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/MonedaModulo/Paginas/fw-monedas/fw-monedas.page.pug
extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Monedas"
    - var CabeceraListado = ["Moneda", "Descripción", ""]
    - var CantidadListado = "{{ tMonedas.length }}"
    - var TituloDatos = "Detalles de la Moneda"
    - var TamanoColeccion = "tMonedas.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tMonedaFor of tMonedas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Clasificacion_Eliminar(tMonedaFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Moneda(tMonedaFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tMonedaFor.Simbolo }}
        td
            h6.text-xs {{ tMonedaFor.Codmoneda }}
        td
            h6.text-xs.text-nowrap {{ tMonedaFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-monedas-cabecera([(Moneda)]="tMonedaActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Denominaciones",
              role="tab",
              aria-controls="Denominaciones",
              aria-selected="true").nav-link.active Denominaciones
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Denominaciones-tab").tab-pane.fade.show.active#Denominaciones
          app-fw-monedas-detalles([(Denominaciones)]="tMonedaActual.LDenominaciones",
                                [PermisoEliminar]="tPermisoEliminar",
                                (Eliminar)="Eliminar_Denominacion($event)")
